#! /bin/sh

DOMAINS=/usr/local/lib/domains
NPALIAS=/usr/local/lib/npalias
OPALIAS=/usr/local/lib/opalias
PALIAS=/usr/local/lib/palias
PATH=/bin:/usr/bin:/usr/new
SEDTMP=/tmp/mkpalias$$

echo #! /bin/sh > $SEDTMP
echo sed -n \\ >> $SEDTMP
echo "-e '/\\..*	/!p' \\" >> $SEDTMP
for domain in `egrep -v \^# $DOMAINS`
do
	domain=`echo $domain | sed 's/\./\\./g'`
	echo "-e '/^$domain	/p' \\" >> $SEDTMP
	echo "-e '/\\.$domain	/p' \\" >> $SEDTMP
done
chmod +x $SEDTMP

pathalias -i Path.* uumap/[du].* | $SEDTMP | tee $NPALIAS | makedb -o $NPALIAS
rm -f $SEDTMP
mv $NPALIAS.dir $PALIAS.dir
mv $NPALIAS.pag $PALIAS.pag
mv $PALIAS $OPALIAS
mv $NPALIAS $PALIAS
sort -o $PALIAS $PALIAS
